# Checker.h File Reference

This file provides Loki's Checker facility. More...

`#include <exception>`
`#include <assert.h>`

Include dependency graph for Checker.h:

## Classes

class | Loki::CheckForNoThrow< Host >
class | Loki::CheckForNoChange< Host >
class | Loki::CheckForNoChangeOrThrow< Host >
class | Loki::CheckForEquality< Host >
class | Loki::CheckForNothing< Host >
class | Loki::ContractChecker< Host, ExceptionPolicy >
class | Loki::CheckStaticForNoThrow
class | Loki::CheckStaticForNothing
class | Loki::StaticChecker< ExceptionPolicy >

## Namespaces

namespace | Loki

## Detailed Description

This file provides Loki's Checker facility.